Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2157606 - update btrfs-progs to 6.1 breaks some builds
Summary: update btrfs-progs to 6.1 breaks some builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-02 10:39 UTC by Sergio Basto
Modified: 2023-01-19 13:13 UTC (History)
8 users (show)

Fixed In Version: btrfs-progs-6.1.1-1.fc37 btrfs-progs-6.1.2-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-05 01:17:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Sergio Basto 2023-01-02 10:39:50 UTC
Description of problem:

the update to 6.1 at least broke some golang packages golang-github-docker , moby-engine [1] , here is the list of possible packages affected [2] 


[1]
https://github.com/moby/moby/issues/44698

[2]
Depending on: btrfs-progs 
btrfs-assistant (maintained by: principis)
btrfs-assistant-1.6.3-3.fc38.src requires btrfs-progs-devel = 6.1-1.fc38, libbtrfsutil = 6.1-1.fc38
btrfs-assistant-1.6.3-3.fc38.x86_64 requires libbtrfsutil.so.1()(64bit), libbtrfsutil.so.1(LIBBTRFSUTIL_1.1)(64bit)

btrfs-fuse (maintained by: dcavalca)
btrfs-fuse-0-8.20220301gitca53ed5.fc37.src requires btrfs-progs-devel = 6.1-1.fc38

buildah (maintained by: dwalsh, go-sig, haircommander, jnovy, lsm5, nalin, rhcontainerbot, rishi, runcom, santiago, tomsweeneyredhat)
buildah-1.28.0-7.fc38.src requires btrfs-progs-devel = 6.1-1.fc38

compsize (maintained by: jorti)
compsize-1.5-4.fc37.src requires btrfs-progs-devel = 6.1-1.fc38

containerd (maintained by: copperi, eclipseo, go-sig, gotmax23)
containerd-1.6.14-2.fc38.src requires btrfs-progs-devel = 6.1-1.fc38

cri-o (maintained by: go-sig, haircommander)
cri-o-1.24.1-4.fc37.src requires btrfs-progs-devel = 6.1-1.fc38

golang-github-containerd-btrfs (maintained by: eclipseo, go-sig)
golang-github-containerd-btrfs-1.0.0-5.fc37.src requires btrfs-progs-devel = 6.1-1.fc38
golang-github-containerd-btrfs-devel-1.0.0-5.fc37.noarch requires btrfs-progs-devel = 6.1-1.fc38

libguestfs (maintained by: mdbooth, rjones)
libguestfs-1:1.49.8-1.fc38.src requires btrfs-progs = 6.1-1.fc38

moby-engine (maintained by: copperi, go-sig, gotmax23, sergiomb)
moby-engine-20.10.21-1.fc38.src requires pkgconfig(libbtrfsutil) = 6.1

snapper (maintained by: agk, ignatenkobrain, msnitzer, ngompa)
pam_snapper-0.10.1-2.fc37.x86_64 requires libbtrfs.so.0()(64bit)
snapper-0.10.1-2.fc37.src requires btrfs-progs-devel = 6.1-1.fc38
snapper-devel-0.10.1-2.fc37.i686 requires btrfs-progs-devel = 6.1-1.fc38
snapper-devel-0.10.1-2.fc37.x86_64 requires btrfs-progs-devel = 6.1-1.fc38
snapper-libs-0.10.1-2.fc37.i686 requires btrfs-progs(x86-32) = 6.1-1.fc38, libbtrfs.so.0, libbtrfs.so.0(LIBBTRFS_0.1)
snapper-libs-0.10.1-2.fc37.x86_64 requires btrfs-progs(x86-64) = 6.1-1.fc38, libbtrfs.so.0()(64bit), libbtrfs.so.0(LIBBTRFS_0.1)(64bit)

podman (maintained by: acui, baude, container-sig, dwalsh, go-sig, haircommander, jnovy, lsm5, mheon, rhcontainerbot, rishi, santiago)
podman-4:4.3.1-1.fc38.src requires btrfs-progs-devel = 6.1-1.fc38

skopeo (maintained by: baude, container-sig, dwalsh, go-sig, haircommander, jnovy, lsm5, nalin, rhcontainerbot, runcom, santiago)
skopeo-1:1.10.0-6.fc38.src requires btrfs-progs-devel = 6.1-1.fc38

source-to-image (maintained by: go-sig, hhorak, humaton, jchaloup, yselkowitz)
source-to-image-1.3.2-1.fc38.src requires btrfs-progs-devel = 6.1-1.fc38

Comment 1 Neal Gompa 2023-01-03 00:15:43 UTC
Looks like this change is what broke all of these packages: https://github.com/kdave/btrfs-progs/commit/03451430de7cd2fad18b0f01745545758bc975a5

Comment 3 Fedora Update System 2023-01-03 22:47:32 UTC
FEDORA-2023-fcfcd41adf has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fcfcd41adf

Comment 4 Fedora Update System 2023-01-03 22:47:32 UTC
FEDORA-2023-dbf98dc5cd has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dbf98dc5cd

Comment 5 Fedora Update System 2023-01-04 01:36:23 UTC
FEDORA-2023-fcfcd41adf has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-fcfcd41adf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-fcfcd41adf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-01-04 02:20:25 UTC
FEDORA-2023-dbf98dc5cd has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-dbf98dc5cd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dbf98dc5cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-01-05 01:17:45 UTC
FEDORA-2023-dbf98dc5cd has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-01-06 01:13:20 UTC
FEDORA-2023-fcfcd41adf has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-fcfcd41adf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-fcfcd41adf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-01-19 13:13:26 UTC
FEDORA-2023-fcfcd41adf has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.